Get similar recipes (v1)
Returns up to 20 recipes Tasty recommends alongside a recipe. results is empty when Tasty recommends none or the recipe_id is unknown.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
recipe_id*integer
The recipe's numeric id from a search result or the Recipe endpoint.
Range
1 <= value <= 999999999curl -X GET "https://example.com/v1/tasty/similar?recipe_id=2932" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "recipe_id": 2932, "count": 14, "results": [ { "id": 2932, "slug": "one-pot-garlic-parmesan-pasta", "name": "One-Pot Garlic Parmesan Pasta", "type": "recipe", "url": "https://tasty.co/recipe/one-pot-garlic-parmesan-pasta", "thumbnail_url": "string", "total_time_minutes": 32, "prep_time_minutes": 10, "cook_time_minutes": 22, "tags": [ "italian", "easy", "dinner", "under_45_minutes" ] } ] }, "details": { "reason": "string", "message": "string" }}